Subject: Re: using git-blame with patches as input

From: Don Zickus <[email-masked]>
Date: Tue, 17 Jun 2008 10:17:58 -0400

On Mon, Jun 16, 2008 at 02:54:54PM -0700, Junio C Hamano wrote:
> Don Zickus <[email-masked]> writes:
> 
> > For example, if I took the top three commits from HEAD and appended them
> > into one patch file and then ran this tool with the patch as input, I
> > would hope that it gave as output the three original commits.
> 
> Unfortunately blame does not work in such an inefficient way.  The patch
> text from your second commit (that is, the diff that shows what used to be
> in the first commit and what is in the second commit) may be further
> rewritten in the third commit, so if you start blaming such a text from
> HEAD, the blame stops at the HEAD commit saying "the text you have is even
> newer".

I know, but I am trying to crawl before I run.  So I am attacking the
simple cases first to help me understand how the whole git internal
mechanisms work (I am still trying to figure out the correct way to walk
the revision list for a particular file using git-blame as a guide).  Once
my code works for the simple cases, then I can attack the more 'normal'
cases like you described above.

Cheers,
Don